import 'package:flutter/material.dart';
import 'package:qadirneyriz/config/config.dart';
import 'package:qadirneyriz/widgets/custom_button.dart';

class CustomErrorWidget extends StatelessWidget {
  const CustomErrorWidget({
    super.key,
    this.onPressed,
  });
  final Function()? onPressed;

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          Text(
            'Something went wrong!',
            style: TextStyle(
                color: config.ui.mainGray,
                fontSize: 16,
                fontWeight: FontWeight.bold),
          ),
          const SizedBox(
            height: 20,
          ),
          CustomButton(
              hieght: 50, width: 183, text: 'Try again!', onPressed: onPressed)
        ],
      ),
    );
  }
}
